Bug 997678

Summary: Review Request: web-assets - A simple framework for bits pushed to browsers
Product: [Fedora] Fedora Reporter: T.C. Hollingsworth <tchollingsworth>
Component: Package ReviewAssignee: Pete Travis <me>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: ignatenko, me, notting
Target Milestone: ---Flags: me: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: web-assets-5-2.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-07 20:31:44 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 998583    

Description T.C. Hollingsworth 2013-08-15 21:54:04 EDT
Spec: http://patches.fedorapeople.org/web-assets/web-assets.spec
SRPM: http://patches.fedorapeople.org/web-assets/web-assets-4-1.fc20.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5820525
FAS:  patches
Description:
A simple framework for bits pushed to browsers.
Comment 1 Pete Travis 2013-08-24 01:47:57 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[X]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[X]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in web-assets-
     filesystem , web-assets-devel
[X]: Package complies to the Packaging Guidelines
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[X]: License file installed when any subpackage combination is installed.
--- absent in -filesystem, but as noted in comments, there's no content here
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: web-assets-filesystem-4-1.fc19.noarch.rpm
          web-assets-devel-4-1.fc19.noarch.rpm
web-assets-filesystem.noarch: W: no-documentation
web-assets-filesystem.noarch: W: dangling-relative-symlink /usr/share/web-assets/fonts ../fonts
web-assets-devel.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint web-assets-filesystem web-assets-devel
web-assets-filesystem.noarch: W: no-documentation
web-assets-filesystem.noarch: W: dangling-relative-symlink /usr/share/web-assets/fonts ../fonts
web-assets-devel.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
web-assets-filesystem (rpmlib, GLIBC filtered):

web-assets-devel (rpmlib, GLIBC filtered):
    web-assets-filesystem



Provides
--------
web-assets-filesystem:
    web-assets-filesystem

web-assets-devel:
    web-assets-devel



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64



I see no problems here, APPROVED.

Personally, I'd appreciate seeing some packaged documentation to generally outline the purpose of web-assets and references to packaging guidelines or other resources explaining the use of these directories. Not a blocker, just nice to have.
Comment 2 Igor Gnatenko 2013-08-24 02:52:11 EDT
I think:
Requires:       web-assets-filesystem
should be
Requires:       web-assets-filesystem%{?isa} = %{version}-%{release}
Comment 3 T.C. Hollingsworth 2013-08-24 14:37:55 EDT
Thanks for the quick review!

(In reply to Pete Travis from comment #1)
> Personally, I'd appreciate seeing some packaged documentation to generally
> outline the purpose of web-assets and references to packaging guidelines or
> other resources explaining the use of these directories. Not a blocker, just
> nice to have.

I added a brief README for now.

(In reply to Igor Gnatenko from comment #2)
> I think:
> Requires:       web-assets-filesystem
> should be
> Requires:       web-assets-filesystem%{?isa} = %{version}-%{release}

I added %{version}-%{release}, but not %{?_isa} because that's wrong for noarch packages.  (It'll just add whatever arch the noarch package happens to be building on at the time.)

--

Spec: http://patches.fedorapeople.org/web-assets/web-assets.spec
SRPM: http://patches.fedorapeople.org/web-assets/web-assets-4-2.fc20.src.rpm

* Sat Aug 24 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 4-2
- tighten dependency on filesystem from other packages
- add brief README to -devel
Comment 4 T.C. Hollingsworth 2013-08-24 14:39:50 EDT
New Package SCM Request
=======================
Package Name: web-assets
Short Description: A simple framework for bits pushed to browsers
Owners: patches
Branches: f20 f19 f18 el6 el5
InitialCC:
Comment 5 Gwyn Ciesla 2013-08-26 08:23:20 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-08-27 08:35:42 EDT
web-assets-4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/web-assets-4-2.fc19
Comment 7 Fedora Update System 2013-08-27 08:36:21 EDT
web-assets-4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/web-assets-4-2.el6
Comment 8 Fedora Update System 2013-08-27 08:37:39 EDT
web-assets-4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/web-assets-4-2.fc18
Comment 9 Fedora Update System 2013-08-27 09:08:04 EDT
web-assets-4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/web-assets-4-3.fc18
Comment 10 Fedora Update System 2013-08-27 09:08:13 EDT
web-assets-4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/web-assets-4-3.el6
Comment 11 Fedora Update System 2013-08-27 09:21:59 EDT
web-assets-4-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/web-assets-4-3.el5
Comment 12 Fedora Update System 2013-08-27 13:07:35 EDT
web-assets-4-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2013-09-07 20:31:44 EDT
web-assets-4-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2013-09-07 20:33:41 EDT
web-assets-4-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2014-05-03 09:50:41 EDT
web-assets-5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/web-assets-5-2.el6
Comment 16 Fedora Update System 2014-05-03 09:51:11 EDT
web-assets-5-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/web-assets-5-2.el5
Comment 17 Fedora Update System 2014-05-20 13:06:00 EDT
web-assets-5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Fedora Update System 2014-05-20 13:06:09 EDT
web-assets-5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.